library mls_api;

import 'dart:async';
import 'dart:convert';
import 'package:http/browser_client.dart';
import 'package:http/http.dart';

part 'api_client.dart';
part 'api_helper.dart';
part 'api_exception.dart';
part 'auth/authentication.dart';
part 'auth/api_key_auth.dart';
part 'auth/oauth.dart';
part 'auth/http_basic_auth.dart';

part 'api/assists.dart';
part 'api/authentication.dart';
part 'api/fixtures.dart';
part 'api/historical_data.dart';
part 'api/latest_news.dart';
part 'api/offence.dart';
part 'api/players.dart';
part 'api/real_time_data_live_scores.dart';
part 'api/standings.dart';
part 'api/teams.dart';
part 'api/top_scorer.dart';

ApiClient defaultApiClient = new ApiClient();
