[![pub package](https://img.shields.io/pub/v/mls_api.svg)](https://pub.dev/packages/mls_api)

# mls_api

Integrate [MLS API](https://moatsystems.com/mls-api/) functionality with this native dart package. Access historical and real-time data for Major League Soccer (MLS) match scores, results and betting odds.

Flutter support:
* [x] iOS
* [x] Android
* [x] Web


## Setting up an MLS API Account

Sign up for a self-service [user account](https://moatsystems.com/mls-api/).


## Using the MLS API

You can read the [API documentation](https://docs.mlssoccerapi.com/) to understand what's possible with the MLS API. If you need further assistance, don't hesitate to [contact us](https://moatsystems.com/contact/).


## License

This project is licensed under the [MIT License](./LICENSE).


## Copyright

(c) 2022 [Moat Systems Limited](https://moatsystems.com/). All Rights Reserved.